; ***********************************************************************
;Gruppe:	BLOCK
;
;Autor:		ast
;
;Datum:		09.09.05
;
;Funktion:     	HandlesFromBlock
;
;Zweck:        	Gibt alle Handles eines Blocks zurck (Stringliste), ohne ihn zu ursprungen (diese knnen dann weiterbearbeitet werden)
;
;Argumente:	VLA-Object des gewnschten Blockes
;
;Rckgabe:	LIST 
;
;Beispiel:	(HandlesFromBlock (vlax-ename->vla-object (car (entsel)))) --> ("D16E" "D16D") od. nil
;
; ***********************************************************************

(defun HandlesFromBlock (objVLABlock / objBlock strHandle lstHandles)
 
  (if (= (vlax-get-property objVLABlock 'ObjectName) "AcDbBlockReference");wenn Block ;ObjectName (RO) = "AcDbBlockReference"
    (progn
      (setq objBlock (vla-item
                       (vla-get-Blocks (vla-get-ActiveDocument (vlax-Get-acad-object)));Block Collection
                       (vlax-get objVLABlock 'Name);Name des gewnschten Blocks
	             )
      )
      (vlax-for item objBlock
        (setq strHandle (vlax-get item 'Handle))
        (if (not (member strHandle lstHandles)) (setq lstHandles (cons strHandle lstHandles)))
      )
    )
  )
  lstHandles
)
